from setuptools import setup, find_packages
from pathlib import Path

install_requires = [
    "devpi-client"
]

tests_require = [
]

def get_files(path):
    root = Path(path)
    queue = [root]
    ret = []
    while queue:
        curr = queue.pop()
        for file in curr.iterdir():
            if file.is_file():
                ret.append(str(file))
            else:
                queue.append(file)
    return ret


setup(
    name="mkfab",
    version="0.1.3",
    description="Un outil pour uploader les fichier",
    author="François GAUTRAIS",
    install_requires=install_requires,
    packages=find_packages("src"),
    zip_safe=False,
    data_files=[
    ],
    extras_require={
        "test": tests_require,
        "pylint": ["pylint"],
    },
    scripts=[
        "src/fab/fab"
    ],

    entry_points={
        "console_scripts": [
        ]
    },
    package_dir={"": "src"},
)

